% !TeX root = ./mfcc-features-of-speech.tex
\documentclass[12pt]{src/stem-report}


%% Import additional packages and header definitions
\usepackage{titlesec}

% For the LaTex newbies, \input let's you introduce a .tex file as if it were
% part of the current file
\input{src/packages}
\graphicspath{{./}}


%% Macros and colour definitions.
\input{src/macros.tex}
\input{src/colors.tex}
%------------ Sectioning -----------------------
\titleclass{\subsubsubsection}{straight}[\subsection]

\newcounter{subsubsubsection}[subsubsection]
\renewcommand\thesubsubsubsection{\thesubsubsection.\arabic{subsubsubsection}}
\renewcommand\theparagraph{\thesubsubsubsection.\arabic{paragraph}} % optional; useful if paragraphs are to be numbered

\titleformat{\subsubsubsection}
  {\normalfont\normalsize\bfseries}{\thesubsubsubsection}{1em}{}
\titlespacing*{\subsubsubsection}
{0pt}{3.25ex plus 1ex minus .2ex}{1.5ex plus .2ex}

\makeatletter
\renewcommand\paragraph{\@startsection{paragraph}{5}{\z@}%
  {3.25ex \@plus1ex \@minus.2ex}%
  {-1em}%
  {\normalfont\normalsize\bfseries}}
\renewcommand\subparagraph{\@startsection{subparagraph}{6}{\parindent}%
  {3.25ex \@plus1ex \@minus .2ex}%
  {-1em}%
  {\normalfont\normalsize\bfseries}}
\def\toclevel@subsubsubsection{4}
\def\toclevel@paragraph{5}
\def\toclevel@paragraph{6}
\def\l@subsubsubsection{\@dottedtocline{4}{7em}{4em}}
\def\l@subsubsubsection{\@dottedtocline{4}{9em}{4em}} \def\l@paragraph{\@dottedtocline{5}{12em}{5em}} \def\l@subparagraph{\@dottedtocline{6}{15em}{6em}}\def\l@paragraph{\@dottedtocline{5}{10em}{5em}}
\def\l@subparagraph{\@dottedtocline{6}{14em}{6em}}
\makeatother

\setcounter{secnumdepth}{4}
\setcounter{tocdepth}{4}

% ----------------
% *****************************************************************************
%                     Report configuration: Tweak this
% *****************************************************************************

%% Developer and debug options
% \overfullrule=5pt % Un-comment this to show a black bar by overfull hboxes.

%% Bibliography
% Be careful with reference files list, always avoid whitespaces!
\addbibresource{bibliography/references.bib}

%% Title parameters
\title{MFCC Features of Speech}
\author{
  Casado Herraez, Daniel \\
  \textit{a904819@alumni.unav.es} \\
  \And
  Gatri, Wathek \\
  \textit{wathek.gatri@gmail.com} \\
  \And
  Gimenez Bolinches, Andreu \\
  \textit{esdandreu@gmail.com} \\
}
\date{\today}
\IfFileExists{./abstract.tex}{
  \abstract{\input{abstract.tex}}
}

\begin{document}
  % ***************************************************************************
  %                              Front Page
  % ***************************************************************************
  \hypersetup{linkcolor=black}

  %% Build title 
  \maketitle
  \clearpage
  
  \tableofcontents

  \vspace{2cm}

  \listoffigures
  \clearpage

  % ***************************************************************************
  %                              Main Content
  % ***************************************************************************
  \hypersetup{linkcolor=documentLinkColor}
  \input{content.tex}
  \clearpage

  % ***************************************************************************
  %                              Appendices
  % ***************************************************************************
  \IfFileExists{./appendices.tex}{
    \appendix
    \input{appendices}
    \unappendix
    \clearpage
  }

  % ***************************************************************************
  %                              Bibliography
  % ***************************************************************************
  \singlespace
  \printbibliography[%
    % heading=bibintoc,%
    title={References}%
  ]

\end{document}